﻿$ErrorActionPreference = 'Stop';

$packageName= 'winlogbeat'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://artifacts.elastic.co/downloads/beats/winlogbeat/winlogbeat-6.2.0-windows-x86.zip'
$url64      = 'https://artifacts.elastic.co/downloads/beats/winlogbeat/winlogbeat-6.2.0-windows-x86_64.zip'

$installationPath = $toolsDir

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $installationPath
  url           = $url
  url64bit      = $url64
  checksum      = 'dae069286628bcea1844634b002d7c6b23817cc2978892b8998b39976fbf82986ae975c98189d0f4db013380106b836cabe2bb777711624cf25fbb42297bf752'
  checksumType  = 'sha512'
  checksum64    = 'eb321eb38d9c33b11f8d892d0be8c5ee8028322dc027ad2817d3480bc0690e8ebd2ade34bdafaf782adc551f73551cdab23ff8c9cea7f5939b50df5085bcf11f'
  checksumType64= 'sha512'
}

Install-ChocolateyZipPackage @packageArgs

$pTemp = (dir $installationPath  $packageName*).Name
Invoke-Expression $(Join-Path $installationPath "$($pTemp)\install-service-$($packageName).ps1")
